Bug 81437 - FILEOPEN: XLSX chart automatic border property ignored
Summary: FILEOPEN: XLSX chart automatic border property ignored
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.3.0
Keywords: filter:xlsx
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2014-07-16 18:34 UTC by Luke
Modified: 2019-03-19 07:31 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample XSLX file with automatic border (10.79 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-07-16 18:34 UTC, Luke
Details
Sample XSLX file with manual border (10.85 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-07-16 18:34 UTC, Luke
Details
Screenshot showing missing border (59.14 KB, image/png)
2014-07-16 18:42 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2014-07-16 18:34:21 UTC
Created attachment 102934 [details]
Sample XSLX file with automatic border

When importing XLSX files, the chart border property is ignored and charts always have no border.

Steps to reproduce:
1. Create a chart in Excel.
2. Format Chart Area -> Set to Manual or Automatic
3. Save as XSLX
4. Open in LO 4.2+

What is expected?:
Chart in Calc will show a border.

Actual Results:
Imported does not have a border in Calc. This can be verified in Calc by 
1. Right click on chart -> Edit
2. Right click on chart -> Format Chart Area
3. Note Border style is "none" when it was "Automatic" in Excel



Bug 72838 has some other great examples of this bug.
Comment 1 Luke 2014-07-16 18:34:52 UTC
Created attachment 102935 [details]
Sample XSLX file with manual border
Comment 2 Luke 2014-07-16 18:42:46 UTC
Created attachment 102936 [details]
Screenshot showing missing border
Comment 3 Kevin Suo 2014-07-17 05:55:50 UTC
Confirmed with
Version: 4.3.1.0.0+
Build ID: 5536b127a105123de6f64dcf8f53dfa277faef3c
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-07-16_10:15:31

Set to NEW.
Comment 4 ign_christian 2014-07-17 16:11:52 UTC
Reproduced with LO 4.2.6.1, 4.1.6.2, 4.0.4.2, 3.6.7.2, 3.5.7.2 on Ubuntu 12.04 x86 (I also confirmed transparent background issue)

LO 3.3.0.4 shows the border though not perfect (in Chart Area | Borders :
Line Properties > Style : Continuous) and correct white background.

Surprisingly AOO 3.4.1 and 4.1.0 show good border (same as LO 3.3.0.4: style: Continuous) and correct white background.

Maybe fix in Bug 54361 (bug with transparent background) will also fix this border bug.
Comment 5 Luke 2014-08-01 20:48:18 UTC
Thanks to Kohei fixing Bug 75380, the manual border case is now working attachment 102935 [details]. Unfortunately, the most common setting, automatic border is still not working. Tested on master~2014-08-01_00.34.17_LibreOfficeDev_4.4.0.0.alpha0.
Comment 6 Luke 2015-05-13 03:07:12 UTC
When attachment 102934 [details] is round-tripped, the resulting file has no border when opened in both Excel and Calc 5.0.
Comment 7 Luke 2015-05-13 03:11:25 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-01-03 19:39:28 UTC Comment hidden (obsolete)
Comment 9 Luke 2017-01-04 02:07:51 UTC
Border still missing on import in Version: 5.4.0.0.alpha0+ (x64)
Build ID: bf80bbb7b75febc2769d6b64e6981224982f8fe2
Comment 10 QA Administrators 2018-01-05 03:40:52 UTC Comment hidden (obsolete)
Comment 11 matthew 2018-02-28 23:07:44 UTC
This bug exists in LibraOffice 6.0.1.1
Comment 12 Timur 2018-10-11 15:00:56 UTC
Repro 6.2+
Comment 13 Commit Notification 2019-03-18 15:40:21 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0dac43445b35da7e554dd4d7574c59611a0d0be1%5E%21

tdf#81437 XLSX import: fix missing chart border

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.